// solid - a CLI implementation of Sid Sackson's "Solitaire Dice"

// usage: solid
// author: 6502coder (Puppy Linux "Murga" forum)

#include <iostream>

#include "solid.hpp"
#include "solidcli.hpp"

int main()
{
    Solid g;
    SolidCli cli( &g );

    while ( !g.Over() )
    {
        cli.Roll();
        if (cli.GetPairs())
            return 0;
        cli.Display();
    }
    std::cout << "game over!\n";
    return 0;
}

