#ifndef SOLIDINT__H
#define SOLIDINT__H

// Class SolidInt
//
// A virtual base class for interfaces to the Solid Class
 

#include "solid.hpp"

class SolidInt
{
protected:
    Solid* gp;

public:
    SolidInt( Solid* p ) { gp = p; }

    virtual int GetPairs() const = 0;

    virtual void Roll() const = 0;
    
    virtual void Display() const = 0;
};


#endif
